botruntime
API ReferenceTables API

List Tables

Retrieves a list of all tables associated with your bot.

GET
/v1/tables

Query Parameters

tags?

Optional filters to narrow down the list by tags associated with tables.

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/tables"
{  "tables": [    {      "id": "string",      "name": "string",      "factor": 1,      "frozen": true,      "keyColumn": "string",      "schema": {        "$schema": "string",        "properties": {          "property1": {            "type": "string",            "format": "date-time",            "description": "string",            "pattern": "string",            "enum": [              "string"            ],            "items": {              "type": "string"            },            "nullable": true,            "properties": {              "property1": {                "type": "string"              },              "property2": {                "type": "string"              }            },            "x-zui": {              "index": 0,              "id": "string",              "searchable": true,              "hidden": true,              "order": 0,              "width": 0,              "schemaId": "string",              "computed": {                "action": "ai",                "dependencies": [],                "prompt": "string",                "code": "string",                "model": "gpt-4o",                "workflowId": "string",                "enabled": true              },              "typings": "string"            }          },          "property2": {            "type": "string",            "format": "date-time",            "description": "string",            "pattern": "string",            "enum": [              "string"            ],            "items": {              "type": "string"            },            "nullable": true,            "properties": {              "property1": {                "type": "string"              },              "property2": {                "type": "string"              }            },            "x-zui": {              "index": 0,              "id": "string",              "searchable": true,              "hidden": true,              "order": 0,              "width": 0,              "schemaId": "string",              "computed": {                "action": "ai",                "dependencies": [],                "prompt": "string",                "code": "string",                "model": "gpt-4o",                "workflowId": "string",                "enabled": true              },              "typings": "string"            }          }        },        "additionalProperties": true,        "required": [          "string"        ],        "type": "object"      },      "tags": {        "property1": "string",        "property2": "string"      },      "isComputeEnabled": true,      "createdAt": "2019-08-24T14:15:22Z",      "updatedAt": "2019-08-24T14:15:22Z"    }  ]}
{  "tables": [    {      "id": "string",      "name": "string",      "factor": 1,      "frozen": true,      "keyColumn": "string",      "schema": {        "$schema": "string",        "properties": {          "property1": {            "type": "string",            "format": "date-time",            "description": "string",            "pattern": "string",            "enum": [              "string"            ],            "items": {              "type": "string"            },            "nullable": true,            "properties": {              "property1": {                "type": "string"              },              "property2": {                "type": "string"              }            },            "x-zui": {              "index": 0,              "id": "string",              "searchable": true,              "hidden": true,              "order": 0,              "width": 0,              "schemaId": "string",              "computed": {                "action": "ai",                "dependencies": [],                "prompt": "string",                "code": "string",                "model": "gpt-4o",                "workflowId": "string",                "enabled": true              },              "typings": "string"            }          },          "property2": {            "type": "string",            "format": "date-time",            "description": "string",            "pattern": "string",            "enum": [              "string"            ],            "items": {              "type": "string"            },            "nullable": true,            "properties": {              "property1": {                "type": "string"              },              "property2": {                "type": "string"              }            },            "x-zui": {              "index": 0,              "id": "string",              "searchable": true,              "hidden": true,              "order": 0,              "width": 0,              "schemaId": "string",              "computed": {                "action": "ai",                "dependencies": [],                "prompt": "string",                "code": "string",                "model": "gpt-4o",                "workflowId": "string",                "enabled": true              },              "typings": "string"            }          }        },        "additionalProperties": true,        "required": [          "string"        ],        "type": "object"      },      "tags": {        "property1": "string",        "property2": "string"      },      "isComputeEnabled": true,      "createdAt": "2019-08-24T14:15:22Z",      "updatedAt": "2019-08-24T14:15:22Z"    }  ]}